Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mars.mips.instructions
Class BasicInstructionFormat

    java.lang.Object
      mars.mips.instructions.BasicInstructionFormat

    public class BasicInstructionFormat

extends Object

These are the MIPS-defined formats of basic machine instructions. The R-format indicates the instruction works only with registers. The I-format indicates the instruction works with an immediate value (e.g. constant). The J-format indicates this is a Jump instruction. The I-branch-format is defined by me, not MIPS, to to indicate this is a Branch instruction, specifically to distinguish immediate values used as target addresses.

Author:
  Pete Sanderson

Field Summary
`static BasicInstructionFormat` | `I_BRANCH_FORMAT`
`static BasicInstructionFormat` | `I_FORMAT`
`static BasicInstructionFormat` | `J_FORMAT`
`static BasicInstructionFormat` | `R_FORMAT`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### R_FORMAT

    public static final BasicInstructionFormat R_FORMAT

### I_FORMAT

    public static final BasicInstructionFormat I_FORMAT

### I_BRANCH_FORMAT

    public static final BasicInstructionFormat I_BRANCH_FORMAT

### J_FORMAT

    public static final BasicInstructionFormat J_FORMAT

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD